Subject: REVIEW: G-Force 28Mhz 68040 accelerator for the Amiga 3000
From: [email-masked] (Charles Lee)
Date: 15 Jan 1993 18:11:29 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME

	GVP G-Force 28Mhz 68040 accelerator for the Amiga 3000

BRIEF DESCRIPTION

	This board plugs into the fast slot of the Amiga 3000 and overrides
the native 68030 processor with its 68040 processor. The board can be
populated with 8MB of 40ns non-multiplexed SIMMs.  (These are custom GVP
SIMMs.)  There is support onboard for 4 MB SIMMs when 40 nanosecond, 4
megabit non-multiplexed DRAMs are available.  The G-Force has full support
for the 68040's "burst" mode.

AUTHOR/COMPANY INFORMATION

	Name:		Great Valley Products (GVP)
	Address:	600 Clark Avenue
			King of Prussia, PA  19406
			USA

	Telephone:	(215) 337-8870, from 9:15am to 6:00pm EST
	FAX:		(215) 337-9922
	BBS:		(I do not know.  Contact GVP to find out.)

LIST PRICE

	$2799 (US).  However, I paid $999 (US) for this board.  It came with
2MB of 40ns SIMM RAM installed.

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS

	HARDWARE
	
		You MUST have the 2.04 ROMs physically installed.
		"Softkicking" of the operating system will not work.  My
		G-Force came with the 2.04 ROM chips.

		If you have a 16Mhz A3000, the manual states on page 2,
		"- Software switchable fallback mode supports the A3000's
		original 68030 for full backward compatibility on 16 and
		25Mhz Amigas."  I own a 25Mhz A3000 and the supplied program,
		"gvpcpuctrl boot68030", works fine.

	SOFTWARE
	
		The board comes with one disk of installation software that
		uses Commodore's standard "Installer" program.

		GVP Tech Support recommends that you use the newest
		SetPatch, version 38.31 or higher.  This is because the
		G-Force has problems in the midst of DMA accesses to the
		fast RAM on the A3000 motherboard due to the RAMSEY and DMAC
		in some A3000's.  If you only have the old SetPatch that came
		with 2.04 (ie SetPatch 38.30), then the installation disk
		comes with a program called "Gforcepatch", which will change
		all of the SCSI masks so that the DMA will be masked out.  To
		say the least, this DEGRADES your SCSI performance
		significantly!  Therefore, get yourself the newest SetPatch
		38.31 to fix the RAMSEY/DMAC problems.  GVP Tech told me that
		it is available from your local GVP dealer, on the A2000
		G-Force installation disks.  It may be possible that of the
		time of this writing, they have replaced the SetPatch on the
		installation disk.

		The newest 68040.library helps slightly in speed. (And I
		mean _slightly_.)  It is far more important to get the newest
		SetPatch.

MACHINE USED FOR TESTING

	Amiga 3000 25Mhz with 2 Megabytes Chip Ram. 12 Megabytes of Fast Ram.

	OS: 2.04 
	Kickstart: version 37.175
	Workbench: version 37.67

	setpatch 38.31 (Taken from AmigaOS 2.1)

	68040.library version 37.4 (Taken from AmigaOS 3.0)
	(The GVP installation disk supplies version 37.2.)

INSTALLATION

	I strongly recommend wearing an anti-static wrist strap while
installing the card so that you don't damage it with static electricity!  A
good Phillips-head and standard screwdriver will help a lot; go to your
local Sears [USA hardware store] and buy a multi-tip screwdriver.

	Installing the G-Force is very easy, assuming that you are
experienced in taking apart your A3000.  Otherwise, get a friend who can
lend an extra pair of hands... especially for holding up the power supply
chassis while you disconnect the motherboard cables.

		[MODERATOR'S NOTE:  If you do not have experience installing
		Amiga hardware, or you are just uncomfortable doing it, you
		should have a trained professional do the installation.
		Commodore recommends that you use a Commodore Authorized
		service center.  - Dan]

	You have to strip down the A3000 to install the card. In order:

	1) Remove the A3000 cover.  5 screws.

	2) Pull out the backplane. Just grab on a connector (they are quite
	   sturdy), and pull the backplane out. I only keep one plastic
	   s-clip on the top, so the backplane is easier to remove.
	   Otherwise, the other two lower s-clips make removing the
	   backplane difficult.

	3) Unscrew the three screws at the front of the A3000.

	4) Unscrew the screw immediately behind you hard drive.

	5) Unscrew the 3 screws holding the shiny metal expansion card plate
	   in place. Pull it off.

	6) Unscrew the screw which is above the power cord connector in the
	   back.

	7) Here is where another person helps:

		Have the person hold up the chassis while you:

		 7a) Remove the motherboard SCSI cable. (Grey, in my machine.)

		 7b) Remove the motherboard floppy cable. (Black, in my
		     machine.)

		 7c) Remove the motherboard power. (This is SHEER HELL if
		     you've never done it before, because it was very tight
		     on my machine.)

		Some advice:  Use a permanent marking pen to mark the left
		edges of the connectors. This makes reconnection easy!

	8) Put the chassis down in a place where it won't get stepped on.

	9) If your A3000 does not already have the 2.04 ROMs, then remove
	   the old beta 2.0x ROMs and replace them with the 2.04 ROMs.

	        Some advice:  Reconnect the power, SCSI and floppy.
		Reconnect the backplane.  Boot up the machine and test the
		ROMs just to be sure that they're not bad or misinstalled.

	9) Check your G-Force jumper settings.  They come preset, but check
	   just in case.

	10) Place the G-Force into the Fast Slot.

	11) Screw down the connections lightly.  Do not overtighten it,
	    or you will crack the board and destroy it.

	12) Thread the 040 fan's power cord through the power supply chassis
	    and connect it to a free socket. It has passthough if you're
	    using the extra connector for another hard drive.

	13) Reassemble. (With Joy and Trepidation :-))

MY IMPRESSIONS AND TESTS

	I don't have the SCSI speeds for the GVP with the old SetPatch.
Let's just say it was not quick as it should be.  However, the CPU speeds
were fine.

	Here are the Sysinfo 3.01 results for my system configuration with
the new SetPatch:

CopyBack Mode.................................. ON 
Instruction Cache.............................. ON 
Instruction Burst.............................. ON 
Data Cache..................................... ON 
Data Burst..................................... ON 
Central Processing Unit Type................... 68040(OFF)
Memory Management Unit Type.................... 68040(OFF(OFF)
Floating Point Unit Type....................... 68040+68882
Vector Base Register (VBR) Address............. $0808D664
Ramsey Chip Revision (A3000)................... $D
Gary Chip Revision (A3000)..................... $0
DMAC Chip Type (A3000)......................... OLD
Agnus Type..................................... ECS 2 MEG
Display Mode................................... NTSC 
Denise Type.................................... ECS 8373
VBlank Frequency in Hz......................... 60
Power Supply Frequency in Hz................... 60
Horizontal Frequency in KHz.................... 15.72
Card Slot Installed............................ NO 
Total Memory available......................... 16776160
Free Chip Memory...............................  1922776
Free 16 Bit Fast Memory........................        0
Free 32 Bit Fast Memory........................ 13361976
Total Free Memory available.................... 15284752
Hardware Clock installed....................... FOUND
EClockFrequency in Hz.......................... 715909
Fast Ram Speed increase vs Chip Ram............ +87%

SPEED COMPARISONS AGAINST KNOWN MODELS & PERIPHERALS
A500 512k or A600 with 1MB CHIP ONLY...........  34.94
B2000, A2000, A1000 or A500 with fast ram......  29.34
B2000  GVP A3001 28MHZ ALL CACHES & BURSTS.....   3.45
A2500  A2620 68020 14MHZ card..................   9.97
A3000/25 SCRAM ICACHE IBURST DCACHE NODBURST...   4.43
A3000  PP&S Mercury ICACHE DCACHE COPYBACK.....   1.02
CPU Million Instructions per Second............  21.40
FPU Million Floating Operations per Second.....   5.43
Speed of Chip Memory vs A3000 Chip Memory......   0.91 
Dhrystones per second........................... 20510
CPU speed in MHZ...............................  28.00

DOCUMENTATION

	Since I am an expert Amiga owner (I'd like to think so :)), the
installation was simple and I skimmed through the manual.  For the neophyte
who has never opened an A3000; I'd recommend that you find someone competent
with the Amiga (i.e., a dealer, friend, etc.) to do the installation for you.

	My documentation came with an addendum. Very important! Read this and
don't disregard it!

	The pictures in the manual are clean structured graphics.  I prefer
this over fuzzy B/W photos. 

LIKES AND DISLIKES

	I like the fact that the G-Force was built for pure speed; that is,
with the 68040's special burst access implemented.  A note here:  I have the
bursts enabled, as you might see above, but I'm missing out on some
performance because I don't have 4 MB of SIMM on the G-Force to enable to
full speed of the board.  (Either 4MB or 8MB is required for full burst
operations.)

	I disliked the fact that the 68040 has practically zero clearance
with the power supply chassis.  I solved this by using a hacksaw and cutting
a 2x2 inch hole above the 68040, so the heat could disperse better. It seems
that the low-profile design of the A3000 is the problem here; as I've heard
the same problems with the Progressive Peripherals Mercury as well. But,
this is a design flaw of the A3000.... (Oh, BTW, my warranty was expired!
And I take no responsibility if you do decide to do the hacksaw mod!)

COMPARISON TO OTHER SIMILAR PRODUCTS

	I've played with a Progressive Peripherals (PP&S) Mercury 68040
board.  It has essentially the same performance.  (See Sysinfo results,
above.)  I don't know if PP&S includes a fix for the RAMSEY/DMAC problems.
Reviews anyone?

BUGS

	See my above comments about getting the latest SetPatch!

	The fallback feature works well 8 out of 10 times (sometimes it
hangs, so I usually try it again and then it works.) 

VENDOR SUPPORT

	I talked with GVP tech about fixing up the SCSI performance and that
is where I got the advice on procuring a new SetPatch and 68040.library.
GVP's staff (and BBS) seems to be quite knowledgeable about their product.
The only trouble is that they put you on hold for a long time sometimes.
It's advisable to communicate by FAX machine if you have one.  (ie GPFax and
a Supra14.4K Fax modem worked for me!)

WARRANTY

	I think the warranty is a 90-day from GVP. The company which I
purchased the board from give a 30-day no-questions-asked-money-back
guarantee.  I advise that you BURN that board in with some intensive
ray-traces and make sure that it works well!

CONCLUSIONS

	With the new SetPatch, the product performance is excellent.
However, with the old 2.04 SetPatch, the performance is only good/fair.  The
CPU speed is undamaged, but you'll notice that the snappy A3000 SCSI
performance is not so snappy any more!

	Rating: 7 out of 10. (Old SetPatch)
	Rating: 9 out of 10. (New SetPatch)

	For $1000 with 2MB of 40ns SIMM and an upgradable 68040, it's GREAT!

	Feel free to mail me at [email-masked] if you need
help with your board or just have questions.

COPYRIGHT NOTICE

	Copyright 1992, 1993 Charles Lee.  All rights reserved.

/-------------------------------------------------------------------------\
| Charles Lee                  :______/\_M_I_G_/\______:= FocuS GraphicS =|
| ~~~~~~~~~~~                  : for the Creative Mind :  ~~~~~~~~~~~~~~  |
| [email-masked] :=-=-=-=-=-=-=-=-=-=-=-=: 2D/3D Graphics   |
| Brandeis University          :1 Universe, 1 Computer.: 2D/3D Animation  |
| Structual Biology Lab        :         Amiga.        : Rates negotiable |
\-------------------------------------------------------------------------/

---

   Daniel Barrett, Moderator, comp.sys.amiga.reviews
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]